# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name uuid

Name:           ghc-%{pkg_name}
Version:        1.2.13
Release:        3%{?dist}
Summary:        For creating, comparing, parsing and printing Universally Unique Identifiers

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-binary-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-cryptohash-devel
BuildRequires:  ghc-maccatcher-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-time-devel
# End cabal-rpm deps

%description
This library is useful for creating, comparing, parsing and printing
Universally Unique Identifiers. See <http://en.wikipedia.org/wiki/UUID> for the
general idea.


%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides the development files for the Haskell %{pkg_name} library.


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%doc LICENSE CHANGES CONTRIBUTORS


%files devel -f %{name}-devel.files


%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jun 15 2013 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 1.2.13-1
- spec file generated by cabal-rpm-0.8.1
